ParserBee

List all templates

GET
/api/v1/templates

Returns all extraction templates owned by the authenticated user.

Authorization

ApiKeyAuth
x-api-key<token>

Your ParserBee API key. Generate one from Settings in your dashboard. The key starts with pk_.

In: header

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/templates"
{  "items": [    {      "id": "tpl_abc123",      "name": "Invoice Template",      "description": "Extract invoice data fields",      "fields": [        {          "name": "invoice_number",          "title": "Invoice Number",          "type": "string",          "nullable": false,          "required": true        }      ],      "created": "2019-08-24T14:15:22Z",      "updated": "2019-08-24T14:15:22Z"    }  ],  "total": 3}
{  "error": "string",  "code": "string"}
{  "error": "string",  "code": "string"}